Retrieves the purchase order order lines with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

purchase_order_details
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
purchase_order_id

Foreign key of the purchase_order

globally unique identifier

Optionally required : purchase_order_id, purchase_order_reference or purchase_order must be provided

purchase_order_reference_back_office

Embedded entity "purchase_order" using ERP PK when adding/updating

string

Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided

purchase_order

Embedded entity "purchase_order" when adding/updating

purchase_order

Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided

article_id

Foreign key of article

globally unique identifier

Optionally required : article_id, article_code or article must be provided

article_code

Embedded entity "article" using ERP PK when adding/updating

string

Optionally required : article_id, article_code or article must be provided

article

Embedded entity "article" when adding/updating

article

Optionally required : article_id, article_code or article must be provided

line_number

Line Number, auto filled with (Highest+1) if value is 0/null

integer
code

Code of the article (auto filled if empty)

string

Max length: 255

supplier_code

Code of the supplier for this article

string

Max length: 255

name

Article Name (will be auto filled if article.name+description are empty)

string

Max length: 255

description

Article description (will be auto filled by article.short_description if name+description are empty)

string

Max length: 255

price

Unit Price

decimal number

Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$

Range: inclusive between 0.1 and 1.79769313486232E+308

quantity

Quantity

decimal number

Required

Range: inclusive between 0.1 and 1.79769313486232E+308

memo

Line memo/remark

string
cost_price

Unit Cost Price (statistic purpose)

decimal number

Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$

reference_back_office

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "e84f7916-b15a-4f00-8c70-61a9bf994264",
  "purchase_order_id": "2d62b946-453d-44c2-9453-ace8816216a9",
  "purchase_order_reference_back_office": "sample string 3",
  "purchase_order": {
    "id": "0575bf19-bdcb-49b3-8d61-9419b738de83",
    "id2": 2,
    "jobs_id": "6e7943a9-5bba-4adf-8a13-441691ad64c0",
    "jobs_reference_back_office": "sample string 4",
    "supplier_company_id": "b19cc29a-df3e-4795-bbad-cb844efebb18",
    "supplier_company_code": "sample string 6",
    "user_id": "762e01e7-caed-4663-b79d-fe3d224ca4cc",
    "user_code": "sample string 8",
    "description": "sample string 9",
    "memo": "sample string 10",
    "total_lines": 11,
    "date_create": "2026-03-15T19:38:37.6607331+00:00",
    "date_update": "2026-03-15T19:38:37.6607331+00:00",
    "date_delivery": "2026-03-15T19:38:37.6607331+00:00",
    "confirmed_date_delivery": "2026-03-15T19:38:37.6607331+00:00",
    "delivery_db_address_id": "a5c7b606-f977-47b0-86a0-4c81e0633088",
    "approved_by_user_id": "55d662ca-7161-475a-bfc4-369759898a99",
    "approved_by_user_code": "sample string 18",
    "technical_user_id": "888ad734-b881-4ae2-bf1b-ce8748bf7774",
    "technical_user_code": "sample string 20",
    "purchase_order_status_id": "1166f0b8-1582-4f27-8d92-22f509cfc900",
    "purchase_order_status_code": "sample string 22",
    "article_stock_location_id": "077e580f-ab7f-4517-afae-5b04bfaf8869",
    "is_pickup": true,
    "reference_back_office": "sample string 25",
    "modified_dateutc": "2026-03-15T19:38:37.6607331+00:00"
  },
  "article_id": "11337777-9659-4168-b945-cd831eabffda",
  "article_code": "sample string 5",
  "article": {
    "id": "1e31d8af-1d55-4b31-87d6-989925baf88d",
    "article_category_id": "a136d765-1c23-4e49-ae67-44a48a968b72",
    "article_category": {
      "id": "153a30c9-90a2-4295-98cf-c61eef9c57ec",
      "parent_id": "cc48fe97-3d6f-40fd-bb22-0b9ce4795fc8",
      "parent_code": "sample string 3",
      "code": "sample string 4",
      "name": "sample string 5",
      "modified_dateutc": "2026-03-15T19:38:37.6607331+00:00"
    },
    "article_category_code": "sample string 3",
    "article_group_1_id": "c4f2a294-cacf-4ed2-95e5-60a23bc27331",
    "article_group_1_code": "sample string 5",
    "article_group_2_id": "715891e0-dce9-4173-b2b7-e76cd2263282",
    "article_group_2_code": "sample string 7",
    "article_group_3_id": "6654249f-ffc8-45c5-9dbc-d93bfb873c7a",
    "article_group_3_code": "sample string 9",
    "article_group_4_id": "d9e52fbd-6c52-4244-8dc4-39f752cd05f8",
    "article_group_4_code": "sample string 11",
    "article_group_5_id": "09953962-efde-4d2f-a754-073043cd2b7c",
    "article_group_5_code": "sample string 13",
    "article_group_6_id": "0afde9a2-a351-457c-8c32-f96806d9e1a2",
    "article_group_6_code": "sample string 15",
    "physical_stock": 16,
    "back_order_client": 17,
    "back_order_supplier": 18,
    "expected_delivery_date_bo_supplier": "2026-03-15T19:38:37.6607331+00:00",
    "article_increment": 20,
    "min_article_quantity": 21,
    "entered_price": 22.0,
    "cost_price": 23.1,
    "no_stock": true,
    "archived": true,
    "is_travel_fee": true,
    "is_mileage_fee": true,
    "code": "sample string 28",
    "name": "sample string 29",
    "description_short": "sample string 30",
    "description_long": "sample string 31",
    "barcode": "sample string 32",
    "notes": "sample string 33",
    "date_create": "2026-03-15T19:38:37.6607331+00:00",
    "date_update": "2026-03-15T19:38:37.6607331+00:00",
    "modified_dateutc": "2026-03-15T19:38:37.6607331+00:00",
    "article_color_id": "48b798bf-5a9b-425d-8c80-bcc2b82bbd68",
    "article_color_code": "sample string 38",
    "article_color": {
      "id": "f4188e0b-8597-45f7-b57f-afe0a94cd0c5",
      "name": "sample string 2",
      "code": "sample string 3",
      "modified_dateutc": "2026-03-15T19:38:37.6607331+00:00"
    },
    "warranty_period_nb_months": 39,
    "use_serial": true,
    "_replace_id": "8e6e9838-2f31-4548-b5f1-a09c053fd2c0",
    "replace_article_code": "sample string 42",
    "db_unit_of_measure_id_selling": "d5932484-0c07-4f6a-ba8f-c419615f71c6",
    "db_unit_of_measure_code_selling": "sample string 44",
    "translations": [
      {
        "field_name": "sample string 1",
        "language_code": "sample string 2",
        "value_translated": "sample string 3"
      },
      {
        "field_name": "sample string 1",
        "language_code": "sample string 2",
        "value_translated": "sample string 3"
      }
    ]
  },
  "line_number": 6,
  "code": "sample string 7",
  "supplier_code": "sample string 8",
  "name": "sample string 9",
  "description": "sample string 10",
  "price": 11.0,
  "quantity": 12.0,
  "memo": "sample string 13",
  "cost_price": 14.0,
  "reference_back_office": "sample string 15",
  "modified_dateutc": "2026-03-15T19:38:37.6607331+00:00"
}